
//	Metamaxim ModelScope
//	Copyright 2003 Metamaxim Ltd

package Bank2;

import com.metamaxim.modelscope.callbacks.*;

public class Account extends Behaviour {


	public void processCashDeposit(Event event, String subscript) {
		int newBalance = this.getCurrency("Balance") + event.getCurrency("Amount");
		this.setCurrency("Balance", newBalance);
	}

	public void processCashWithdraw(Event event, String subscript) {
		int newBalance = this.getCurrency("Balance") - event.getCurrency("Amount");
		this.setCurrency("Balance", newBalance);
	}

}

